package com.jjt.biz.controller;

import com.jjt.biz.service.IApiAllService;
import com.jjt.biz.service.IApiYrService;
import com.jjt.biz.vo.CurrYieldVO;
import com.jjt.biz.vo.IndexData;
import com.jjt.biz.vo.TwinAllVO;
import com.jjt.biz.vo.YrTwinVO;
import com.jjt.common.constant.CacheConstants;
import com.jjt.common.core.controller.BaseController;
import com.jjt.common.core.domain.R;
import com.jjt.common.core.redis.RedisCache;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.math.RoundingMode;

/**
 * swagger 用户测试方法
 *
 * @author ruoyi
 */
@Api("全厂孪生数据接口")
@RestController
@Slf4j
public class ApiYrController extends BaseController {
    @Resource
    private IApiYrService service;
    @Resource
    private RedisCache redisCache;

    @ApiOperation("染整线数字孪生")
    @GetMapping("/api/yr/data")
    @CrossOrigin(origins = "*")
    @ResponseBody
    public R<?> data() {
        YrTwinVO vo = new YrTwinVO();
        vo.setStatus(service.status());
        vo.setEff(service.eff());
        vo.setProdTrade(service.prodTrade());
        vo.setEnergyTrade(service.energyTrade());
        return R.ok(vo);
    }

}
